unit ErrMsg;
////////////////////////////////////////////////////////////////////////////////
//
//                                       
//
////////////////////////////////////////////////////////////////////////////////

                                  interface
////////////////////////////////////////////////////////////////////////////////

function ErrMsgText(code: integer): string;

                                implementation
////////////////////////////////////////////////////////////////////////////////
uses
  ErrCodes;

function ErrMsgText(code: integer): string;
begin
  case code of
    R245_RES_OK             : result := 'OK !';

    //   :
    R245_ERR_WRONG_COMPORT  : result := ' -';
    R245_ERR_WRONG_BAUD     : result := ' ';
    R245_ERR_COM_CLOSED     : result := 'COM- ';
    R245_ERR_CLOSE_PORT     : result := '  COM-';
    R245_ERR_COM_WRITEERR   : result := '   COM-';
    R245_ERR_COM_TIMEOUT    : result := ' ';
    R245_ERR_OPEN_PORT      : result := '  ';
    R245_ERR_OVERFLOW       : result := '  ';
    R245_ERR_INVALID_PACK_NUM: result := '  ';

    //     :
    R245_ERR_WRONG_PARAM    : result := ' ';
    R245_ERR_INVALID_DATA   : result := '   ';

    //    
    R245_ERR_NO_TAG         : result := '    ';

    //   :
    R245_ERR_UNKNOWN        : result := ' ';
    R245_ERR_NO_IMLEMENT    : result := '  ';

    //     :
    R245_ERR_BYSY_RADIO     : result := ' ...';

  else
    result := '   '
  end { case };
end;

end.
